FREEFOAM-POLYDUALMESH(1)

NAME
freefoam-polyDualMesh - Calculate the dual of a polyMesh. Adheres to all the feature and patch edges.

SYNOPSIS

freefoam polyDualMesh [-doNotPreserveFaceZones] [-help] [-srcDoc] [-case <dir>] [-doc] [-overwrite] [-splitAllFaces] [-concaveMultiCells]

DESCRIPTION

Detects any boundary edge > angle and creates multiple boundary faces for it. Normal behaviour is to have each point become a cell (1.5 behaviour)

OPTIONS

-concaveMultiCells
    Creates multiple cells for each point on a concave edge. Might limit the amount of distortion on some meshes.

-splitAllFaces
    Normally only constructs a single face between two cells. This single face might be too distorted. splitAllFaces will create a single face for every original cell the face passes through. The mesh will thus have multiple faces inbetween two cells! (so is not strictly upper-triangular anymore - checkMesh will complain)

-doNotPreserveFaceZones
    By default all faceZones are preserved by marking all faces, edges and points on them as features. The -doNotPreserveFaceZones disables this behaviour.

-overwrite
    Overwrite existing data.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

This is just a driver for meshDualiser. Substitute your own simpleMarkFeatures to have different behaviour.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.